com.fasterxml.jackson.databind.jsonFormatVisitors

## Class JsonNumberFormatVisitor.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base
  - - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor.Base

- All Implemented Interfaces:
    JsonNumberFormatVisitor, JsonValueFormatVisitor
  Enclosing interface:
    JsonNumberFormatVisitor

      public static class JsonNumberFormatVisitor.Base
      extends JsonValueFormatVisitor.Base
      implements JsonNumberFormatVisitor

  Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor

      `JsonNumberFormatVisitor.Base`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonNumberFormatVisitor.Base()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `numberType(JsonParser.NumberType type)` Method called to provide more exact type of number being serialized (regardless of logical type, which may be `Date` or `Enum`, in addition to actual numeric types like `Integer`).

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base

      `enumTypes, format`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor

      `enumTypes, format`

- - ### Constructor Detail

    - #### JsonNumberFormatVisitor.Base

          public JsonNumberFormatVisitor.Base()

  - ### Method Detail

    - #### numberType

          public void numberType(JsonParser.NumberType type)

      Description copied from interface: `JsonNumberFormatVisitor`
      Method called to provide more exact type of number being serialized (regardless of logical type, which may be `Date` or `Enum`, in addition to actual numeric types like `Integer`).
      Specified by:
        `numberType` in interface `JsonNumberFormatVisitor`

Copyright © 2014 FasterXML. All Rights Reserved.